Package Gnumed :: Package timelinelib :: Package db :: Module exceptions :: Class TimelineIOError |
[frames] | no frames]

# Class TimelineIOError

source code

                  object --+
                           |
    exceptions.BaseException --+
                               |
            exceptions.Exception --+
                                   |
                                  TimelineIOError

Raised from a backend if a read/write error occurs.

The constructor and any of the public methods can raise this exception.

Also raised by the get_timeline method if loading of a timeline failed.

Instance Methods
Inherited from `exceptions.Exception`: `__init__`, `__new__` Inherited from `exceptions.BaseException`: `__delattr__`, `__getattribute__`, `__getitem__`, `__getslice__`, `__reduce__`, `__repr__`, `__setattr__`, `__setstate__`, `__str__`, `__unicode__` Inherited from `object`: `__format__`, `__hash__`, `__reduce_ex__`, `__sizeof__`, `__subclasshook__`

Properties
Inherited from `exceptions.BaseException`: `args`, `message` Inherited from `object`: `__class__`